data:extend(
{




    {type = "technology",
    name = "waterpurification-dl",
icon = "__druglab__/graphics/technology/technology-waterpurification-dl.png",
	    icon_size = 128,
    effects =
    { 
	  {
        type = "unlock-recipe",--wp
        recipe = "ash1-dl" 
      },
	  {
        type = "unlock-recipe",--wp
        recipe = "ash2-dl"       },
	  {
        type = "unlock-recipe",--wp
        recipe = "ash3-dl"       },
	        {
        type = "unlock-recipe",
        recipe = "drug-furnace-dl"-- wp
      },
  {
        type = "unlock-recipe",
        recipe = "activated-charcoal-dl"-- wp
      },
	  	  	        {
        type = "unlock-recipe",
        recipe = "water-purified4-dl"-- wp
      },
	  	        {
        type = "unlock-recipe",
        recipe = "water-purified3-dl"-- wp
      },	  
      {
        type = "unlock-recipe",
        recipe = "water-purified1-dl"-- wp
      }
    },
	  prerequisites = {"oil-processing","automation-2","advanced-material-processing"},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 5
    },
    order = "c-a"
  },
  

    {type = "technology",
    name = "limestone-dl",
icon = "__druglab__/graphics/technology/technology-limestone-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",--ls
        recipe = "salt-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "limestone1-dl"-- ls
      },
	  {
        type = "unlock-recipe",
        recipe = "lime-pebbles-dl"-- ls
      },
	  {
        type = "unlock-recipe",
        recipe = "lime-dust-dl"-- ls
      },

	    {
        type = "unlock-recipe",
        recipe = "ash-from-poles-dl"-- ls
      },
      {
        type = "unlock-recipe",
        recipe = "gas-compressed-air-dl"-- ls
      }

    },
	  prerequisites = {"oil-processing","automation-2","advanced-material-processing","waterpurification-dl"},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 5
    },
    order = "c-a"
  },
  


    {type = "technology",
    name = "chemistry-1-dl",
icon = "__druglab__/graphics/technology/technology-chemistry-1-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "gas-ammonia-dl"-- c1
      },
	  
	  {
        type = "unlock-recipe",
        recipe = "nitric-acid-dl"-- c1
      },
	  	  
      {
        type = "unlock-recipe",
        recipe = "saltwater-electrolysis-dl"-- c1
      },

      {
        type = "unlock-recipe",
        recipe = "nitrogen-dl"-- c1
      },
	  
      {
        type = "unlock-recipe",
        recipe = "nitrogen-dioxide-dl"-- c1
      },
	  
      {
        type = "unlock-recipe",
        recipe = "water-electrolysis-dl"-- c1
      }
	  
    },
	  prerequisites = {"oil-processing","automation-2","advanced-material-processing","limestone-dl"},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 5
    },
    order = "c-a"
  },
  


  
{






    type = "technology",
    name = "chemistry-2-dl",
icon = "__druglab__/graphics/technology/technology-chemistry-2-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "gas-carbon-dioxide-dl"       },

	  {
        type = "unlock-recipe",
        recipe = "oil-agitator-dl"       },
	  	  
      {
        type = "unlock-recipe",
        recipe = "potassium-hydroxide-dl"       },

      {
        type = "unlock-recipe",
        recipe = "gunpowder-dl"       },
	     {
        type = "unlock-recipe",
        recipe = "ammonium-sulfate-dl"       },
      {
        type = "unlock-recipe",
        recipe = "potassium-nitrate-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "ammonium-carbonate-dl"       }
	  
    },
		   prerequisites = {"sulfur-processing","advanced-oil-processing","chemistry-1-dl"},

    unit =
    {
      count = 150,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1}},
      time = 5
    },
    order = "c-a"
  },
  
  
  
  
  
  {
    type = "technology",
    name = "deepdrill-dl",
icon = "__druglab__/graphics/technology/technology-deepdrill-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "deepdrill-dl"-- dd

      },
	  {
        type = "unlock-recipe",
        recipe = "crushed-manganese-dl"-- dd

      },	  	  
      {
        type = "unlock-recipe",
        recipe = "manganese-ore-dl"-- dd

      },      
	  {
        type = "unlock-recipe",--dd
        recipe = "sulfur3-dl"       }	        	  
    },
	   prerequisites = {"chemistry-2-dl","mining-productivity-8"},
    unit =
    {
      count = 250,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1}},
      time = 5
    },
    order = "c-a"
  },
  
  
  
  
  
  
  
{
    type = "technology",
    name = "chemistry-3-dl",
icon = "__druglab__/graphics/technology/technology-chemistry-3-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "manganese-dioxide-dl"-- c3
      },
	        {
        type = "unlock-recipe",
        recipe = "potassium-permanganate-dl"-- c3
      },
	  {
        type = "unlock-recipe",--c3
        recipe = "sulfur2-dl"       },	    
      {
        type = "unlock-recipe",
        recipe = "water-purified2-dl" --c3
      }

	  
    },
	   prerequisites = {"mining-productivity-8","deepdrill-dl"},
    unit =
    {
      count = 250,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1}},
      time = 5
    },
    order = "c-a"
  },
   
     
  
{
    type = "technology",
    name = "coca-leaves-dl",
icon = "__druglab__/graphics/technology/technology-coca-leaves-dl.png",
	    icon_size = 128,
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "greenhouse-dl"       },
      {
        type = "unlock-recipe",
        recipe = "erythroxylaceae-seedling-dl"       },
	    {
        type = "unlock-recipe",
        recipe = "raw-wood-2-dl"       },
	  	    {
        type = "unlock-recipe",
        recipe = "raw-wood-3-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "ammonium-nitrate-dl"       },
	  	    {
        type = "unlock-recipe",
        recipe = "wood-seedling-dl"       },
        	{
        type = "unlock-recipe",
        recipe = "mint-leaves-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "coco-leaves1-dl"       }
    },
	 prerequisites = {"chemistry-3-dl"},
    unit =
    {
          count = 350,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1}},
      time = 5
    },
    order = "c-a"
  },
  
  {


    type = "technology",
    name = "petrochem-one-dl",
icon = "__druglab__/graphics/technology/technology-petrochem-one-dl.png",
	    icon_size = 128,
    
	effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "steam-cracking-heavy-oil-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "oil-agitator-dl"       },
 
	  {
        type = "unlock-recipe",
        recipe = "steam-cracking-light-oil-dl"       },
	  	  
      {
        type = "unlock-recipe",
        recipe = "steamcracking-petroleum-gas-dl"       },
	  
	  {
        type = "unlock-recipe",
        recipe = "palmitic-acid-dl"       },
	  
	  {
        type = "unlock-recipe",
        recipe = "naphthenic-acid-dl" 	  }	
    },
	  
	  	   prerequisites = {"coca-leaves-dl","coal-liquefaction","flamethrower-damage-4"},
		   
		   
    unit =
    {
          count = 500,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1}},
      time = 5
    },
    order = "c-a"
  },
	  
	  
	  
{	      type = "technology",
    name = "petrochem-two-dl",
icon = "__druglab__/graphics/technology/technology-petrochem-two-dl.png",
	    icon_size = 128,
    effects =
    {
	  
      {
        type = "unlock-recipe",
        recipe = "solidfuel_fromdiesel-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "solidfuel_fromfueloil-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "solidfuel_fromkerosine-dl"       },
      {
        type = "unlock-recipe",
        recipe = "napalm-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "napalmflamethrower-dl"       },  
	  	  {
        type = "unlock-recipe",
        recipe = "napalm-turret-dl"       }, 
	  {
        type = "unlock-recipe",
        recipe = "napalm-cartridge-dl"       }, 
	  {
        type = "unlock-recipe",
        recipe = "plastic-frompropane-dl"        
      }
	  
	  },
		   prerequisites = {"petrochem-one-dl"},
		   
   unit =
    {
          count = 300,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"military-science-pack", 2}},
      time = 5
    },
    order = "c-a"
  },

{

    type = "technology",
    name = "bazoco-dl",
icon = "__druglab__/graphics/technology/technology-bazoco-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "bazoka-1-dl"       },
      {
        type = "unlock-recipe",
        recipe = "leaf-washer-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "leaf-washer2-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "bazoka-2-dl"       },
      {
        type = "unlock-recipe",
        recipe = "coco-slurry-dl"       },
	  {
        type = "unlock-recipe",
        recipe = "ground-coco-leaves-dl"       },
      {
        type = "unlock-recipe",
        recipe = "ground-mint-leaves-dl"       },	   
      {
        type = "unlock-recipe",
        recipe = "leaf-cooker-dl"       }
    },
		   prerequisites = {"petrochem-one-dl"},
    unit =
    {
      count = 650,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"high-tech-science-pack", 1}},
      time = 5
    },
    order = "c-a"
  },
 

{

    type = "technology",
    name = "pharmaceutical-assembler-dl",
icon = "__druglab__/graphics/technology/technology-pharmaceutical-assembler-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "mint-oil-destilation-dl"-- ø
      },
	   {
        type = "unlock-recipe",
        recipe = "drugged-science-assembler-dl" --ø
      },
	  	     {
        type = "unlock-recipe",
        recipe = "science-pack-1a-dl"-- ø
      },
	  	     {
        type = "unlock-recipe",
        recipe = "science-pack-2a-dl"-- ø
      },
	  	     {
        type = "unlock-recipe",
        recipe = "science-pack-3a-dl"-- ø
      },
	   	     {
        type = "unlock-recipe",
        recipe = "military-science-pack-a-dl"-- ø
      }
    },
		   prerequisites = {"bazoco-dl"},
    unit =
    {
      count = 650,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"high-tech-science-pack", 1}},
      time = 5
    },
    order = "c-a"
  },
  
  
 {

    type = "technology",
    name = "advanced-drug-manufacture-dl",
icon = "__druglab__/graphics/technology/technology-advanced-drug-manufacture-dl.png",
	    icon_size = 128,
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "advanced-oil-agitator-dl"-- adm
      },

	  {
        type = "unlock-recipe",
        recipe = "advanced-leaf-cooker-dl"-- adm
      },  	  
     
	  {
        type = "unlock-recipe",
        recipe = "kerosine-raw-cocopaste-solution-mixture-dl"-- adm
      },
	  {
        type = "unlock-recipe",
        recipe = "cocaine-extraction-mix-dl"-- adm
      },
	  {
        type = "unlock-recipe",
        recipe = "raw-coco-paste-solution-dl"-- adm
      },	       
      {
        type = "unlock-recipe",
        recipe = "water-cocaine-sulfate-solution-dl"-- adm
      }
    },
		   prerequisites = {"bazoco-dl","military"},
    unit =
    {
      count = 900,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"high-tech-science-pack", 1}},
      time = 5
    },
    order = "c-a"
  },
  --øøøøøø2
  
{

    type = "technology",
    name = "cocaine-hydrocloride-processing-dl",
icon = "__druglab__/graphics/technology/technology-cocaine-hydrocloride-processing-dl.png",
	    icon_size = 128,
    effects =
    {
	  
      {
        type = "unlock-recipe",
        recipe = "cocaine-brick-dl"-- chp
      },
   
      {
        type = "unlock-recipe",
        recipe = "acidic-cocaine-solution-dl"-- chp
      },
	  {
        type = "unlock-recipe",
        recipe = "minted-coco-paste-dl"-- chp
      },
      {
        type = "unlock-recipe",
        recipe = "coco-paste-dl"-- chp
      },

      
	      {
        type = "unlock-recipe",
        recipe = "cocaine-hydrocloride-dl"-- chp
      },
      {
        type = "unlock-recipe",
        recipe = "cocaine-hydrocloride-a-dl"-- chp
      }
    },
		   prerequisites = {"bazoco-dl","effect-transmission"},
    unit =
    {
      count = 900,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"high-tech-science-pack", 1}},
      time = 5
    },
    order = "c-a"
  }
   ,
  --øøøøøø3
  
{

    type = "technology",
    name = "high-science-dl",
icon = "__druglab__/graphics/technology/tecnology-high-science-dl.png",
	    icon_size = 128,
    effects =
    {
	  
      {
        type = "unlock-recipe",
        recipe = "green-acidic-cocaine-solution-dl"-- hs

      },
      
	       {
        type = "unlock-recipe",
        recipe = "military-science-pack-b-dl"-- hs

      },
	   {
        type = "unlock-recipe",
        recipe = "science-pack-2b-dl"-- hs

      },
	       {
        type = "unlock-recipe",
        recipe = "production-science-pack-a-dl"-- hs

      },
	       {
        type = "unlock-recipe",
        recipe = "high-tech-science-pack-a-dl"-- hs

      }
    },
		   prerequisites = {"bazoco-dl","effect-transmission"},
    unit =
    {
      count = 900,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"high-tech-science-pack", 1}},
      time = 5
    },
    order = "c-a"
  },
  
  
  
  {

    type = "technology",
    name = "rocket-science-dl",
icon = "__druglab__/graphics/technology/technology-rocket-science-dl.png",
	    icon_size = 128,
    effects =
    {
	  
     
	      {
        type = "unlock-recipe",
        recipe = "minted-cocaine-dl" --rs

      },
	      
	          {
        type = "unlock-recipe",
        recipe = "rocket-control-unit-a-dl" --rs

      },
	          {
        type = "unlock-recipe",
        recipe = "low-density-structure-a-dl" --rs

      },
	        {
        type = "unlock-recipe",
        recipe = "satellite-a-dl" --rs

      }
      
    },
		   prerequisites = {"bazoco-dl","effect-transmission"},
    unit =
    {
      count = 900,
      ingredients = {{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1},{"high-tech-science-pack", 1}},
      time = 5
    },
    order = "c-a"
  }
  
  }
  )