data:extend(
{
    {
    type = "item",
    name = "greenhouse",
    icon = "__druglab__/graphics/icons/greenhouse.png",
	flags = {"goes-to-quickbar"},
    subgroup = "drug-equipment",
    order = "f[greenhouse]",
    place_result = "greenhouse",
    stack_size = 10,
    },
	{
    type = "assembling-machine",
    name = "greenhouse",
    icon = "__druglab__/graphics/icons/greenhouse.png",
	flags = {"placeable-neutral","player-creation"},
    minable = {mining_time = 1, result = "greenhouse"},
	fast_replaceable_group = "greenhouse",
    max_health = 300,
	corpse = "big-remnants",
    dying_explosion = "medium-explosion",
    collision_box = {{-2.5, -2.4}, {2.5, 2.4}},
    selection_box = {{-2.5, -2.5}, {2.5, 2.5}},
    module_specification =
    {
      module_slots = 1
    },
    allowed_effects = {"consumption", "productivity"},
    crafting_categories = {"greenhouse"},
    crafting_speed = 1,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.33 / 3.5
    },
    energy_usage = "1200kW",
    ingredient_count = 4,
	animation ={
	layers={
	{
      filename = "__druglab__/graphics/entity/greenhouse/greenhousebuild.png",
      width = 225,
      height = 225,
      frame_count = 18,
      line_length = 6,
	        animation_speed = 1 / 3,
      shift = {0.5, 0}
    
	},
	}
    },
	

	
	
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__druglab__/sound/greenhouse.ogg" },
	  apparent_volume = 2.5,
    },
	fluid_boxes =
    {
      {
        production_type = "input",
		base_area = 10,
        base_level = -1,
        pipe_connections = {{ type="input", position = {0, -3.2} }}
      },
	  {
        production_type = "output",
        base_level = 1,
        pipe_connections = {{ position = {0, 3.2} }}
      },
	  	  {
        production_type = "output",
        base_level = 1,
        pipe_connections = {{ position = {-3.2, 0} }}
      },
	  {
        production_type = "input",
        base_level = -1,
        pipe_connections = {{ position = {3.2, 0} }}
      },
    },
	pipe_covers = pipecoverspictures(),
    },
    
  }
  )